<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Model;

/**
 * App\Models\SmsRecord
 *
 * @property int $id
 * @property string $prefix 国际区号前缀
 * @property string $event 事件 login register 等
 * @property string $mobile 手机号
 * @property string $verify_key 验证key  用于验证码校验
 * @property string $sms_code 手机验证码
 * @property array|null $sms_result 短信发送回调
 * @property \Illuminate\Support\Carbon|null $created_at
 * @property \Illuminate\Support\Carbon|null $updated_at
 * @method static \Illuminate\Database\Eloquent\Builder|SmsRecord newModelQuery()
 * @method static \Illuminate\Database\Eloquent\Builder|SmsRecord newQuery()
 * @method static \Illuminate\Database\Eloquent\Builder|SmsRecord query()
 * @method static \Illuminate\Database\Eloquent\Builder|SmsRecord whereCreatedAt($value)
 * @method static \Illuminate\Database\Eloquent\Builder|SmsRecord whereEvent($value)
 * @method static \Illuminate\Database\Eloquent\Builder|SmsRecord whereId($value)
 * @method static \Illuminate\Database\Eloquent\Builder|SmsRecord whereMobile($value)
 * @method static \Illuminate\Database\Eloquent\Builder|SmsRecord wherePrefix($value)
 * @method static \Illuminate\Database\Eloquent\Builder|SmsRecord whereSmsCode($value)
 * @method static \Illuminate\Database\Eloquent\Builder|SmsRecord whereSmsResult($value)
 * @method static \Illuminate\Database\Eloquent\Builder|SmsRecord whereUpdatedAt($value)
 * @method static \Illuminate\Database\Eloquent\Builder|SmsRecord whereVerifyKey($value)
 * @mixin \Eloquent
 */
class SmsRecord extends Model
{
    //
    protected $table = "sms_records";
    protected $guarded = [];
    protected $casts = [
        'sms_result' => 'array',
    ];
}
